%global url_ver %%(echo %{version} | cut -d. -f1-2)

Summary:        A middleware layer between C libraries and language bindings
Name:           gobject-introspection
Version:        1.76.1
Release:        8%{?dist}
License:        GPLv2+ and LGPLv2+ and MIT
URL:            https://gi.readthedocs.io/
Source0:        https://download.gnome.org/sources/gobject-introspection/%{url_ver}/%{name}-%{version}.tar.xz

Patch0001:      scanner-Add-ARM-SVE-types.patch
Patch3000:      gobject-introspection-1.76.1-revert-failing-test.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=2208966
Patch3001:      workaround.patch

BuildRequires:  gcc, meson, python3-devel, python3, pkg-config
BuildRequires:  bison, flex, cairo-devel, cairo-gobject-devel, glib2-devel, libffi-devel
BuildRequires:  python3-mako, python3-markdown

Requires:       glib2

%description
GObject introspection is a middleware layer between C libraries (using
GObject) and language bindings. The C library can be scanned at compile
time and generate metadata files, in addition to the actual native C
library. Then language bindings can read this metadata and automatically
provide bindings to call into the C library.

%package devel
Summary:        Libraries and headers for gobject-introspection
Requires:       %{name} = %{version}-%{release}
Requires:       libtool
# For g-ir-doctool
Requires:       python3-mako
Requires:       python3-markdown
Requires:       python(abi) = %{python3_version}

%description devel
Libraries and headers for gobject-introspection

%prep
%autosetup -p1
mv giscanner/ast.py giscanner/gio_ast.py

%build
%meson -Ddoctool=enabled
%meson_build

%install
%meson_install



%files
%doc NEWS README.rst
%license COPYING COPYING.GPL COPYING.LGPL
%{_libdir}/libgirepository-1.0.so.1*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_libdir}/libgirepository-1.0.so
%{_libdir}/gobject-introspection/
%{_bindir}/g-ir-*
%{_datadir}/gir-1.0
%{_datadir}/gobject-introspection-1.0/
%{_datadir}/aclocal/introspection.m4
%{_mandir}/man1/*
%{_libdir}/pkgconfig/*
%{_includedir}/*



%changelog
* Tue Jan 07 2025 Miaojun Dong <zoedong@tencent.com> - 1.76.1-8
- [Type] bugfix
- [DESC] Fix aarch64 introspection issue of ARM SVE types in system headers

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.76.1-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.76.1-6
- Rebuilt for loongarch release

* Wed Jan 31 2024 kianli <kianli@tencent.com> - 1.76.1-5
- Move python dependecy to devel package

* Wed Jan 31 2024 Miaojun Dong <zoedong@tencent.com> - 1.76.1-4
- Remove display dependency on python

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.76.1-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.76.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 26 2023 Shuo Wang <abushwang@tencent.com> - 1.76.1-1
- update to 1.76.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.72.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.72.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon May 16 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.72.0-1
- Initial.
